<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContextExistsException StructType
 * @subpackage Structs
 */
class ContextExistsException extends Exception
{
    /**
     * The ContextExistsException
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContextExistsException
     */
    public $ContextExistsException;
    /**
     * Constructor method for ContextExistsException
     * @uses ContextExistsException::setContextExistsException()
     * @param \StructType\ContextExistsException $contextExistsException
     */
    public function __construct(\StructType\ContextExistsException $contextExistsException = null)
    {
        $this
            ->setContextExistsException($contextExistsException);
    }
    /**
     * Get ContextExistsException value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContextExistsException|null
     */
    public function getContextExistsException()
    {
        return isset($this->ContextExistsException) ? $this->ContextExistsException : null;
    }
    /**
     * Set ContextExistsException value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\ContextExistsException $contextExistsException
     * @return \StructType\ContextExistsException
     */
    public function setContextExistsException(\StructType\ContextExistsException $contextExistsException = null)
    {
        if (is_null($contextExistsException) || (is_array($contextExistsException) && empty($contextExistsException))) {
            unset($this->ContextExistsException);
        } else {
            $this->ContextExistsException = $contextExistsException;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ContextExistsException
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
